/// 本地存储信息

enum AppStorageKey {
  token(value: 'TOKEN', label: "登录用户的token"),
  xToken(value: 'XTOKEN', label: "登录用户的Xtoken，刷新token信息"),
  userMobile(value: 'USERMOBILE', label: "用户输入过的手机号码"),
  userInfo(value: 'USERINFO', label: "登录用户的基本信息 及 token过期时间"),
  userDetailInfo(value: 'USERDETAILINFO', label: "用户的详细信息"),
  account(value: 'ACCOUNT', label: "用户名"),
  pwd(value: 'PWD', label: "密码"),
  privacyAgreement(value: 'PRIVACYAGREEMENT', label: "用户同意隐私协议");

  final String label;
  final String value;
  const AppStorageKey({required this.value, required this.label});
}
